Function
resizeSpace
Makes free space in container
Size resizeSpace(object, size, pos_begin, pos_end [, limit] [, resize_tag])
Include Headers
seqan/sequence.h
Parameters

object | The container. Types: String, String
size | Number of characters that should be freed.
pos_begin | Position of the first item in object that is to be destroyed.
pos_end | Position behind the last item in object that is to be destroyed. Remarks: If pos_end == pos_begin, no item in object will be destroyed.
limit | Maximal length object can get after this operation. (optional)
resize_tag | Strategy that is applied if object has not enough capacity to store the complete content. (optional) Metafunctions: DefaultOverflowExplicit

Return Values
The number of free characters.
Metafunctions: Size
Remarks: Depeding on the overflow strategy specified by resize_tag, this could be size or less than size if object has not enough capacity.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48